Bug 63526 - "/etc/init.d/snmp reload" does a restart instead of reload
"/etc/init.d/snmp reload" does a restart instead of reload
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-15 12:57 EDT by Darren Gamble
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-04 10:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Darren Gamble 2002-04-15 12:57:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
"/etc/init.d/snmp reload" stops and starts the snmp agent instead of sending a 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run /etc/init.d/snmp reload

Actual Results:  The service is stopped, and then started.

Expected Results:  The service should have been sent a Hangup.

/usr/bin/killall -HUP snmpd

Additional info:

A one-liner change, but important for network monitoring as a full restart 
resets a lot of information.
Comment 1 Phil Knirsch 2002-04-17 07:06:10 EDT
Sounds like a good idea. Might not make it in the upcoming release anymore, but
i'll add this and the package will appear in rawhide.

Read ya, Phil
Comment 2 Phil Knirsch 2002-04-17 09:00:52 EDT
OK, current fixed package is building in rawhide.

Read ya, Phil
Comment 3 Darren Gamble 2002-04-19 13:19:47 EDT
Heya... it's been a couple of days, but, no package.  Let's just wait until the 
package is available and can be tested before this is marked completed.
Comment 4 Phil Knirsch 2002-04-22 10:47:07 EDT
Hmm, strange.

It should appear real soon though... :-)

Read ya, Phil

Comment 5 Phil Knirsch 2002-05-27 07:49:51 EDT
OK, it's definitely fixed in Red Hat 7.3, which has been available for some time


Read ya, Phil
Comment 6 Darren Gamble 2002-05-28 10:03:00 EDT
The 7.3 release version isn't usable (we've had to drop back to an earlier 
version on our 7.3 machines).  Sorry.  See bug #63770 .  When a suitable ucd-
snmp version is released, then please close this bug.
Comment 7 Phil Knirsch 2002-06-04 10:38:13 EDT
Dang. I had the fix in, it just somehow somewhere disappearded again.

I am currently doing a Red Hat Linux 7.x errata anyway, so go and check
http://www.redhat.com/errata, it should appear there real soon.

I'll close the bug as soon as the errata has been released.

Read ya, Phil
Comment 8 Phil Knirsch 2002-06-25 12:03:27 EDT
OK, errata has been released today, and that really fixes the problem.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.